## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           python-testing.common.database
Version:        2.0.3
Release:        %autorelease
Summary:        Utilities for testing.* packages

License:        ASL 2.0
URL:            https://github.com/tk0miya/testing.common.database
Source0:        %{pypi_source testing.common.database}

# Support Callable in collections.abc
# https://github.com/tk0miya/testing.common.database/pull/25
Patch0:         %{url}/pull/25.patch

BuildArch:      noarch

BuildRequires:  python3-devel

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package -n     python3-testing.common.database
Summary:        %{summary}

%description -n python3-testing.common.database %{common_description}


%prep
%autosetup -n testing.common.database-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
# Note that testing is a namespace package, and the directory is co-owned with
# python-testing.postgresql and python-testing.mysqld. Furthermore, each
# installs an __init__.py to the namespace package, which is co-owned
# and—wonderfully—is *actually* identical among the packages in question.
%pyproject_save_files testing


%check
# Upstream has no (non-linter) tests.
%py3_check_import testing testing.common testing.common.database



%files -n python3-testing.common.database -f %{pyproject_files}
# pyproject-rpm-macros handles the LICENSE file; verify with “rpm -qL -p …”
%doc README.rst
%{python3_sitelib}/testing.common.database-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Mon Dec 27 2021 Benjamin A. Beasley <code@musicinmybrain.net> 2.0.3-2
- Backport to EPEL9

* Mon Dec 27 2021 Benjamin A. Beasley <code@musicinmybrain.net> 2.0.3-1
- Initial package (close RHBZ#2033828)
